
%global tarpfx php-%{version}

Name:           php53-odbc64
Version:        5.3.3
Release:        2%{?dist}
Summary:        A module for PHP applications that use ODBC databases via unixODBC64

Group:          Development/Languages
License:        PHP
URL:            http://www.php.net/
Source0:        http://www.php.net/distributions/php-%{version}.tar.bz2
Source1:        config.m4
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  php53-devel, unixODBC64-devel
Requires:       php(api) = %{php_core_api}
Requires:       php-pdo-abi = %{php_pdo_api}
Provides:       php53-pdo_odbc64 = %{version}
Conflicts:      php53-odbc

%description
The php53-odbc64 package contains a dynamic shared object that will
add database support through ODBC to PHP. ODBC is an open
specification which provides a consistent API for developers to use
for accessing data sources (which are often, but not always,
databases). PHP is an HTML-embeddable scripting language. If you need
ODBC support for PHP applications, you will need to install this
package and the php package.

The php53-odbc64 package uses the 64-bit ABI from unixODBC 2.2.12.

%prep
%setup -c -T
tar -xjf %{SOURCE0} %{tarpfx}/ext/odbc %{tarpfx}/ext/pdo_odbc %{tarpfx}/LICENSE
mv -v %{tarpfx}/ext/*odbc %{tarpfx}/LICENSE .
pushd odbc
  cp -p %{SOURCE1} .
  phpize
popd
pushd pdo_odbc
  sed -i 's/pdo_odbc_def_lib=odbc/pdo_odbc_def_lib=odbc64/' config.m4
  phpize
popd

# Fix some bogus permissions
find . -name \*.[ch] -exec chmod 644 {} \;

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing -Wno-pointer-sign"
export CFLAGS
pushd odbc
 %configure
 make %{?_smp_mflags}
popd
pushd pdo_odbc
 %configure --with-pdo-odbc=unixODBC,%{_prefix}
 make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/php.d

for m in odbc pdo_odbc; do
  make -C ${m} install INSTALL_ROOT=$RPM_BUILD_ROOT

  cat > $RPM_BUILD_ROOT%{_sysconfdir}/php.d/${m}.ini <<EOF
; Enable ${m} extension module (for unixODBC64)
extension=${m}.so
EOF
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE
%config(noreplace) %{_sysconfdir}/php.d/odbc.ini
%config(noreplace) %{_sysconfdir}/php.d/pdo_odbc.ini
%{_libdir}/php/modules/*.so

%changelog
* Fri Apr 27 2012 Joe Orton <jorton@redhat.com> - 5.3.3-2
- disable strict-aliasing (#772293)

* Fri Mar 30 2012 Joe Orton <jorton@redhat.com> - 5.3.3-1
- Initial revision (#772293)
